The Stack Overflow podcast is back! Listen to an interview with our new CEO.

Questions tagged [wxpython]

is a GUI toolkit for the Python programming language

Filter by
Sorted by
Tagged with
0
votes
0answers
32 views

Error in wxPython script : “invalid bitmap for wxToolBar icon”

Ubuntu 18.04, Python3, wxPython 4.0.1 gtk3 (Phoenix). Am working through a tutorial and ran into trouble with this script: import wx class Example(wx.Frame): def __init__(self, *args, **kwargs): ...
0
votes
1answer
67 views

Getting “pangoxft library not found” error when configuring wxWidgets

I'm trying to configure wxWidgets 3.0.4 on Ubuntu 18.10: $ ./configure --with-x11 But getting an error when running the config script: checking for PANGOXFT... configure: error: pangoxft library ...
0
votes
0answers
47 views

wxPython frame positioning

Ubuntu-18.04, Python-3.6.7, wxWidgets-4.0.4, GTK3 . I have been using wxPHP for a few years, but now I am writing my very first wxPython app. I cannot position the frame with the constructor ...
0
votes
0answers
53 views

No module named wxversion error when starting PlayOnLinux [duplicate]

I got the following error when starting PlayOnLinux. I have both Python 2.7 and 3.6.7 installed on 14.04. Looking for python... 3.6.7 :: Anaconda, Inc. - skipped Looking for python2.7... 2.7.15 - ...
4
votes
4answers
7k views

How to install wxpython 4 ubuntu 18.04

I am trying to install the wxPython 4 on my Ubuntu 18.04 machine. sudo pip isntall wxpython I get this warning first The directory '/home/user/.cache/pip/http' or its parent directory is not ...
0
votes
0answers
237 views

Problem install wx-tools and the dependencies Ubuntu 14.04

I am trying to run a software in python 2.7.13 and receive an error "no module named wx". So I am trying to install wxPython, and wx related dependencies. I installed wxgtk2.8 sudo apt-get install ...
0
votes
1answer
429 views

How to download stable version of wxPython?

How to download the stable version of wxPython for Ubuntu 16.04 and Python 2.7 version?
0
votes
0answers
37 views

Retrieve theme colours progammatically

I am writing a Python application and I want to get the colour of the panel (window) that contains the gui. This is theme dependent. Is it possible to retrieve theme colours programmatically? I've ...
2
votes
3answers
4k views

How to import wx on Ubuntu 16.04

I have tried installing it using apt-get: sudo apt-get install python-wxgtk3.0 But still when I run a py script with import wx it throws an error 'no module named wx' on Python 2.x and Python 3.x I ...
2
votes
0answers
733 views

Python is installed , but apt-get still gives dependency errors

I am using an Ubuntu 16.04 machine. As far as I know, I have the newest versions of Python 2 and 3 correctly installed: $ python --version Python 2.7.13 $ python2 --version Python 2.7.13 $ ...
0
votes
1answer
399 views

Error while installing Trelby on Ubuntu 16.10 [duplicate]

I'm trying to install Trelby on my Ubuntu 16.10, but I'm getting a dependency error for Python. How do i get past this error?
1
vote
0answers
796 views

How to install wxpython for virtualenv

I am on 14.04. The system python version is 2.7.6. I am testing a software meant for python 2.7.9. So I have a virtualenv running python 2.7.9. Running this pip install wxpython doesn't work. So I ...
10
votes
3answers
32k views

How to install wxpython ubuntu 16.04

I have a problem with playonlinx, and it requires me to install wxpython, but I have it already installed. I've used different methods, but every-time I do import wx, it gives me this error: ...
0
votes
1answer
655 views

Installing wxPython and 'getting gpg: no valid OpenPGP data found' error

I am trying to install Pylot on my computer and am using the instructions from Pylots website. Their site asks you to install wxPython. When I try to from their provided resource I am getting thrown ...
1
vote
1answer
2k views

Playonlinux asks to install Python

just few days ago I installed other version of Python on Ubuntu (I need it for coding). Installation of Python went pretty much smoothly, but when I try to launch League Of Legends I get a problem. I'...
3
votes
1answer
3k views

Something wicked happened resolving 'apt.wxwidgets.org:http' (-5 - No address associated with hostname)

When running sudo apt-get update I get several errors like this: W: Failed to fetch http://apt.wxwidgets.org/dists/lucid-wx/Release.gpg Something wicked happened resolving 'apt.wxwidgets.org:http' (-...
8
votes
3answers
2k views

How to enable mnemonics in 12.04 and/or 14.04 GTK3?

Word on the street is that "gtk-enable-mnemonics" has been deprecated since version 3.10, and I am not at all sure how to get my application to display mnemonics. They will only display if I press ...